com.holonplatform.jaxrs.spring.boot.jersey

## Class JerseyServerAutoConfiguration

- java.lang.Object
- - com.holonplatform.jaxrs.spring.boot.jersey.JerseyServerAutoConfiguration

-     @Configuration
       @ConditionalOnClass(value=org.glassfish.jersey.server.ResourceConfig.class)
       @AutoConfigureBefore(value=org.springframework.boot.autoconfigure.jersey.JerseyAutoConfiguration.class)
       @EnableConfigurationProperties(value=JerseyConfigurationProperties.class)
      public class JerseyServerAutoConfiguration
      extends Object

  Jersey JAX-RS server auto configuration.

  If a `ResourceConfig` type bean is not already defined, a standard `ResourceConfig` bean is automatically registered.

  Any bean annotated with `Path` or `Provider` is detected and automatically registered as a JAX-RS resource. To disable automatic resource scan and registration, the `holon.jersey.bean-scan` configuration property with a `false` value can be used.

  Note that `Provider` annotated bean must be singleton scoped.

  Since:
    5.0.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JerseyServerAutoConfiguration()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.springframework.boot.web.servlet.FilterRegistrationBean<org.springframework.web.filter.RequestContextFilter>` | `requestContextFilter()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JerseyServerAutoConfiguration

          public JerseyServerAutoConfiguration()

  - ### Method Detail

    - #### requestContextFilter

          @Bean
           @ConditionalOnMissingBean(name="requestContextFilter")
          public static org.springframework.boot.web.servlet.FilterRegistrationBean<org.springframework.web.filter.RequestContextFilter> requestContextFilter()

Copyright © 2019 The Holon Platform. All rights reserved.